Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.enhancer
Class Enhance

    java.lang.Object
      com.google.appengine.tools.enhancer.Enhance

    public class Enhance

extends java.lang.Object

The command-line interface for ORM enhancing. Usage:

###

###

     java -cp [classpath]
       com.google.appengine.tools.enhancer.Enhance [options] [jdo-files] [class-files]
     where options can be
       -persistenceUnit [persistence-unit-name] : Name of a "persistence-unit" containing the classes
                                                  to enhance
       -d [target-dir-name] : Write the enhanced classes to the specified directory
       -api [api-name] : Name of the API we are enhancing for (JDO, JPA). Default is JDO
       -enhancerName [name] : Name of the ClassEnhancer to use. Options ASM
       -checkonly : Just check the classes for enhancement status
       -v : verbose output
       -enhancerVersion [version] : The version of the DataNucleus enhancer to use, where version
                                    corresponds to a directory under lib/opt/user/datanucleus in the
                                    sdk.

     where classpath must contain the following
       - your classes
       - your meta-data files

    Constructor Summary

    Enhance(java.lang.String[] args)

    Method Summary

    static void
    main(java.lang.String[] args)

    Methods inherited from class java.lang.Object

    equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    Enhance

    public Enhance(java.lang.String[] args)

    Method Detail

    main

    public static void main(java.lang.String[] args)

          Overview
          Package
        Class
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD